be.fgov.ehealth.addressbook.protocol.v1

## Class GetOrganizationContactInfoRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.addressbook.protocol.v1.GetOrganizationContactInfoRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:27:32+01:00",
                 comments="JAXB RI v2.3.7")
      public class GetOrganizationContactInfoRequest
      extends RequestType
      implements Serializable

  Find contact data for a specific healthcare organization

  Java class for GetOrganizationContactInfoRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetOrganizationContactInfoRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
             <sequence>
               <choice>
                 <element name="NIHII" type="{urn:be:fgov:ehealth:addressbook:core:v1}NIHIIType"/>
                 <element name="CBE" type="{urn:be:fgov:ehealth:addressbook:core:v1}EnterpriseType"/>
                 <element name="EHP" type="{urn:be:fgov:ehealth:addressbook:core:v1}EnterpriseType"/>
               </choice>
               <sequence minOccurs="0">
                 <element name="InstitutionType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               </sequence>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetOrganizationContactInfoRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCBE()` Gets the value of the cbe property.
    `String` | `getEHP()` Gets the value of the ehp property.
    `String` | `getInstitutionType()` Gets the value of the institutionType property.
    `String` | `getNIHII()` Gets the value of the nihii property.
    `void` | `setCBE(String value)` Sets the value of the cbe property.
    `void` | `setEHP(String value)` Sets the value of the ehp property.
    `void` | `setInstitutionType(String value)` Sets the value of the institutionType property.
    `void` | `setNIHII(String value)` Sets the value of the nihii property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetOrganizationContactInfoRequest

          public GetOrganizationContactInfoRequest()

  - ### Method Detail

    - #### getEHP

          public String getEHP()

      Gets the value of the ehp property.
      Returns:
        possible object is `String`

    - #### setEHP

          public void setEHP(String value)

      Sets the value of the ehp property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCBE

          public String getCBE()

      Gets the value of the cbe property.
      Returns:
        possible object is `String`

    - #### setCBE

          public void setCBE(String value)

      Sets the value of the cbe property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNIHII

          public String getNIHII()

      Gets the value of the nihii property.
      Returns:
        possible object is `String`

    - #### setNIHII

          public void setNIHII(String value)

      Sets the value of the nihii property.
      Parameters:
        `value` - allowed object is `String`

    - #### getInstitutionType

          public String getInstitutionType()

      Gets the value of the institutionType property.
      Returns:
        possible object is `String`

    - #### setInstitutionType

          public void setInstitutionType(String value)

      Sets the value of the institutionType property.
      Parameters:
        `value` - allowed object is `String`

Connector Package PERSMIDWIFE 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.